
### Goals
- The trainee will understand what are **SSL** and **TLS**
- The trainee will know how to create a certificate
- The trainee will know how to create a CA and sign certificates
- The trainee will know how to inspect a certificate
- The trainee will know how to add trusted certificates to a machine

### Tasks
- Why do we need **SSL**/**TLS** in the first place?
- What is a **Certificate** in the **SSL**/**TLS** context?
- What is a CA? Why do we need it?
- What are the differences between the different versions of **TLS**?
- Create a self-signed certificate, then use it in a web server for https
- Create a CA, then sign a new certificate and use it for https on the web server
- Add the CA to the trusted certificates on your machine (make sure there is a green lock)
- Explain how to inspect a certificate (for example, show when is its expiration date)


### Refernce:
- https://letsencrypt.org/getting-started/
- https://letsencrypt.org/how-it-works/
- https://letsencrypt.org/docs/challenge-types/